Subject: Re: bug#10519: guile and (mini-)gmp

From: Mark H Weaver <[email-masked]>
Date: Sat, 28 Jan 2012 05:10:22 -0500

[email-masked] (Niels Möller) writes:

> Mark H Weaver <[email-masked]> writes:
>
>> It would be good if you could duplicate the `mp_set_memory_functions'
>> interface in mini-gmp.
>
> I'm looking into this. I found that the GMP interface has one awkward
> feature: The current allocation size must be passed as an argument to
> the free and realloc functions. See
> http://gmplib.org/list-archives/gmp-devel/2012-January/002161.html
>
> Does guile make any use of these size arguments? I'm considering having
> mini-gmp *not* support this part of the allocation interface, and
> instead always pass zero, for the sake of simplicity.

Guile ignores the size arguments to the free and realloc functions, and
I don't anticipate ever needing them in any future version of Guile.

    Thanks,
      Mark